% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/epwshiftr-package.R
\docType{package}
\name{epwshiftr-package}
\alias{epwshiftr}
\alias{epwshiftr-package}
\title{epwshiftr: Create future EnergyPlus Weather files using CMIP6 data}
\description{
Query, download climate change projection data from the \href{https://pcmdi.llnl.gov/CMIP6/}{CMIP6 (Coupled Model Intercomparison Project Phase 6) project} in
the \href{https://esgf.llnl.gov}{ESGF (Earth System Grid Federation) platform},
and create future \href{https://energyplus.net}{EnergyPlus} Weather (EPW) files
adjusted from climate changes using data from Global Climate Models (GCM).
}
\section{Package options}{

\itemize{
\item \code{epwshiftr.verbose}: If \code{TRUE}, more detailed message will be printed.
Default: \code{FALSE}.
\item \code{epwshiftr.dir}: The directory to store package data, including CMIP6
model output file index and etc. If not set, the current user data
directory will be used.
}
}

\seealso{
Useful links:
\itemize{
  \item \url{https://github.com/ideas-lab-nus/epwshiftr}
  \item Report bugs at \url{https://github.com/ideas-lab-nus/epwshiftr/issues}
}

}
\author{
Hongyuan Jia
}
